package com.mosty.base.manager.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.jcgl.TbJcglXfqy;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author zengbo
 * @since 2022-07-14
 */
public interface TbJcglXfqyMapper extends BaseMapper<TbJcglXfqy> {

    @ApiOperation("批量删除")
    int deleteBatch(@Param("list") List<String> list);

    @ApiOperation("添加巡防区域")
    int insertEntity(TbJcglXfqy xfqy);

    @ApiOperation("修改巡逻区域")
    int updateEntity(TbJcglXfqy item);

    @ApiOperation("查询列表分页")
    List<TbJcglXfqy> getPageList(Map<String, Object> map);

    @ApiOperation("查询列表数据总和")
    int getCount(Map<String, Object> map);

    @ApiOperation("查询详情信息")
    TbJcglXfqy getById(@Param("id") String id);

    @ApiOperation("重点区域巡防总数")
    List<Map<String, Object>> getSfzs();

    @ApiOperation("巡防重点数")
    List<Map<String, Object>> getSfzd(@Param("kssj") String kssj, @Param("jssj") String jssj);

    @ApiOperation("警情统计")
    List<Map<String, Object>> getJqTj(@Param("kssj") String kssj);

    @ApiOperation("根据时间统计警情")
    List<Map<String, Object>> getJqTjByTime(@Param("kssj") String kssj, @Param("jssj") String jssj);

    @ApiOperation("根据时间统计重点巡防次数")
    List<Map<String, Object>> getXfzdByTime(@Param("kssj") String kssj, @Param("jssj") String jssj);

    @ApiOperation("查询列表分页")
    List<TbJcglXfqy> getListAll();

}
